<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
            <h2 id="jhi-invoice-heading" jhiTranslate="restaurantApplicationApp.invoice.home.createOrEditLabel">Create or edit a Invoice</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!invoice.id">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id"
                        [(ngModel)]="invoice.id" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.invoice.code" for="field_code">Code</label>
                    <input type="text" class="form-control" name="code" id="field_code"
                        [(ngModel)]="invoice.code" required/>
                    <div [hidden]="!(editForm.controls.code?.dirty && editForm.controls.code?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.code?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.invoice.date" for="field_date">Date</label>
                    <div class="d-flex">
                        <input id="field_date" type="datetime-local" class="form-control" name="date" [(ngModel)]="date" placeholder="YYYY-MM-DD HH:mm"
                        required/>
                    </div>
                    <div [hidden]="!(editForm.controls.date?.dirty && editForm.controls.date?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.date?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.controls.date?.errors?.ZonedDateTimelocal" jhiTranslate="entity.validation.ZonedDateTimelocal">
                            This field should be a date and time.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.invoice.details" for="field_details">Details</label>
                    <input type="text" class="form-control" name="details" id="field_details"
                        [(ngModel)]="invoice.details" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.invoice.status" for="field_status">Status</label>
                    <select class="form-control" name="status" [(ngModel)]="invoice.status" id="field_status"  required>
                        <option value="PAID">{{'restaurantApplicationApp.InvoiceStatus.PAID' | translate}}</option>
                        <option value="ISSUED">{{'restaurantApplicationApp.InvoiceStatus.ISSUED' | translate}}</option>
                        <option value="CANCELLED">{{'restaurantApplicationApp.InvoiceStatus.CANCELLED' | translate}}</option>
                    </select>
                    <div [hidden]="!(editForm.controls.status?.dirty && editForm.controls.status?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.status?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.invoice.paymentMethod" for="field_paymentMethod">Payment Method</label>
                    <select class="form-control" name="paymentMethod" [(ngModel)]="invoice.paymentMethod" id="field_paymentMethod"  required>
                        <option value="CREDIT_CARD">{{'restaurantApplicationApp.PaymentMethod.CREDIT_CARD' | translate}}</option>
                        <option value="CASH_ON_DELIVERY">{{'restaurantApplicationApp.PaymentMethod.CASH_ON_DELIVERY' | translate}}</option>
                        <option value="PAYPAL">{{'restaurantApplicationApp.PaymentMethod.PAYPAL' | translate}}</option>
                    </select>
                    <div [hidden]="!(editForm.controls.paymentMethod?.dirty && editForm.controls.paymentMethod?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.paymentMethod?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.invoice.paymentDate" for="field_paymentDate">Payment Date</label>
                    <div class="d-flex">
                        <input id="field_paymentDate" type="datetime-local" class="form-control" name="paymentDate" [(ngModel)]="paymentDate" placeholder="YYYY-MM-DD HH:mm"
                        required/>
                    </div>
                    <div [hidden]="!(editForm.controls.paymentDate?.dirty && editForm.controls.paymentDate?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.paymentDate?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.controls.paymentDate?.errors?.ZonedDateTimelocal" jhiTranslate="entity.validation.ZonedDateTimelocal">
                            This field should be a date and time.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.invoice.paymentAmount" for="field_paymentAmount">Payment Amount</label>
                    <input type="number" class="form-control" name="paymentAmount" id="field_paymentAmount"
                        [(ngModel)]="invoice.paymentAmount" required/>
                    <div [hidden]="!(editForm.controls.paymentAmount?.dirty && editForm.controls.paymentAmount?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.paymentAmount?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.controls.paymentAmount?.errors?.number" jhiTranslate="entity.validation.number">
                            This field should be a number.
                        </small>
                    </div>
                </div>

            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
